tj.git-extras/bin/git-bug
Balazs Nadasdi b9478d64b7 fix #180 and #232 feature|bug|refactor checkout
If branch creation in feature|bug|refactor returns a non-zero value
then simply try to switch to branch
2014-10-07 10:57:00 +02:00

16 lines
474 B
Bash
Executable file

#!/bin/sh
if test "$1" = "finish"; then
test -z $2 && echo "bug <name> required." 1>&2 && exit 1
branch=bug/$2
git merge --no-ff $branch && git delete-branch $branch
else
test -z $1 && echo "bug <name> required." 1>&2 && exit 1
if test -n "$2"; then
echo "too many arguments; if not finishing a bug, only <name> of new bug is expected" && exit 1
fi
branch=bug/$1
git checkout -b $branch &> /dev/null
test -n $? && git checkout $branch &> /dev/null
fi